package com.skyversation.poiaddr.entity;

import lombok.Data;


// 用户行为记录表
@Data
public class UserRecord {

    private Integer userId;                      // 用户id
    private String refreshToken;              // 登录时的refresh token
    private String accessToken;               // 登录时的access token
    private String roleId;                      // 角色sid
    private String loginIp;                  // 登录ip地址
    private String content;                   //描述
    private String userName;                  //用户名称
    private String requestUrl;                   //访问接口
    private String serviceOrigin;             //服务ID
    private String state ;



    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }


    public String getRefreshToken() {
        return refreshToken;
    }

    public void setRefreshToken(String refreshToken) {
        this.refreshToken = refreshToken;
    }

    public String getAccessToken() {
        return accessToken;
    }

    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    public String getRoleId() {
        return roleId;
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    public String getLoginIp() {
        return loginIp;
    }

    public void setLoginIp(String loginIp) {
        this.loginIp = loginIp;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getRequestUrl() {
        return requestUrl;
    }

    public void setRequestUrl(String requestUrl) {
        this.requestUrl = requestUrl;
    }

    public String getServiceOrigin() {
        return serviceOrigin;
    }

    public void setServiceOrigin(String serviceOrigin) {
        this.serviceOrigin = serviceOrigin;
    }

    @Override
    public String toString() {
        return "UserRecord{" +
                "userId=" + userId +
                ", refreshToken='" + refreshToken + '\'' +
                ", accessToken='" + accessToken + '\'' +
                ", roleId=" + roleId +
                ", loginIp='" + loginIp + '\'' +
                '}';
    }
}
